#include "CubeJsonPlugin.h"
#include <QVBoxLayout>
#include <QLabel>
#include <Constants.h>

CubeJsonPlugin::CubeJsonPlugin() : widget(nullptr), service(nullptr) {}

CubeJsonPlugin::~CubeJsonPlugin() {
    delete widget;
}

bool CubeJsonPlugin::cubeOpened(cubepluginapi::PluginServices* service) {
    this->service = service;

    widget = new QWidget();
    QVBoxLayout* layout = new QVBoxLayout(widget);
    QLabel* label = new QLabel("System Tree Visualization");
    layout->addWidget(label);
    
    service->addTab(cubegui::SYSTEM, widget);
    return true;
}

void CubeJsonPlugin::cubeClosed() {
    delete widget;
    widget = nullptr;
}
