#include "SystemTreeParser.h"

QJsonObject SystemTreeParser::parseSystemTree(cube::CubeSystemTreeNode* root) {
    QJsonObject jsonNode;
    jsonNode["name"] = root->get_name().c_str();
    jsonNode["id"] = root->get_id();

    QJsonArray childrenArray;
    for (size_t i = 0; i < root->num_children(); ++i) {
        childrenArray.append(parseSystemTree(root->get_child(i)));
    }
    jsonNode["children"] = childrenArray;

    return jsonNode;
}
