#ifndef CUBEJSONPLUGIN_H
#define CUBEJSONPLUGIN_H

#include "CubePlugin.h"
#include "PluginServices.h"
#include <QWidget>

class CubeJsonPlugin : public QObject, public cubepluginapi::CubePlugin
{
    Q_OBJECT
    Q_INTERFACES(cubepluginapi::CubePlugin)
    Q_PLUGIN_METADATA(IID "CubeJsonPlugin")

public:
    explicit CubeJsonPlugin();
    virtual ~CubeJsonPlugin() override;

    // CubePlugin Interface
    virtual bool cubeOpened(cubepluginapi::PluginServices* service) override;
    virtual void cubeClosed() override;

private:
    QWidget* widget;
    cubepluginapi::PluginServices* service;
};

#endif // CUBEJSONPLUGIN_H